summaryrefslogtreecommitdiffstats
path: root/system/bbqsql/bbqsql.SlackBuild
diff options
context:
space:
mode:
author wigums <pioneer22675@gmail.com>2018-04-03 00:40:47 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-04-07 08:13:10 +0700
commit787e62687077cfdf805c2cb721c37f68672bc2ac (patch)
tree8ef169650774ac13f30b7397143a892193b989a3 /system/bbqsql/bbqsql.SlackBuild
parent1d2ffe3ab6e927ad3814eb2689a0c3104b547966 (diff)
downloadslackbuilds-787e62687077cfdf805c2cb721c37f68672bc2ac.tar.gz
slackbuilds-787e62687077cfdf805c2cb721c37f68672bc2ac.tar.xz
system/bbqsql: Added (A Blind SQL Injection Exploitation Tool).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/bbqsql/bbqsql.SlackBuild')
-rw-r--r--system/bbqsql/bbqsql.SlackBuild68
1 files changed, 68 insertions, 0 deletions
diff --git a/system/bbqsql/bbqsql.SlackBuild b/system/bbqsql/bbqsql.SlackBuild
new file mode 100644
index 0000000000..986a2d7a82
--- /dev/null
+++ b/system/bbqsql/bbqsql.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for bbqsql
+
+# Written by wigums (wigums@protonmail.com)
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=bbqsql
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}